Teads Reporting API v1Reference
Create an asynchronous report
Queue a report for processing. At most two reports may run concurrently and generated reports are limited to 50 per rolling 24-hour window. The response contains the report identifier and processing status.
Authorization
OAuthBearer AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/custom" \ -H "Content-Type: application/json" \ -d '{ "filters": { "placements": [ 17270 ], "date": { "start": "2020-01-01T00:00:00+01:00", "end": "2020-01-01T23:59:00+01:00", "timezone": "Europe/Paris" } }, "dimensions": [ "day", "placement" ], "metrics": [ "start", "complete", "click", "impression" ], "emails": [ "myemail@teads.tv" ], "format": "xlsx" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "start": "2019-08-24T14:15:22Z", "lastStatusUpdate": "2019-08-24T14:15:22Z", "status": "queued", "valid": true, "url": "http://example.com", "message": "string", "reportProgress": { "stepMax": 0, "step": 0, "progressMax": 0, "progress": 0 }}